using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main()
        {
            string[] a = Console.ReadLine().Split();
            int n = int.Parse(a[0]);
            int y = int.Parse(a[1]);
            int[] x= new int[n];
            int t = 0;
            string[] b = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                x[i] = int.Parse(b[i]);
            }
            for(int i=0;i<n;i++)
            {
                if (x[i]<=y)
                {
                    Console.WriteLine(i+1);
                    break;
                }
                else
                {
                    t++;
                }
            }
            if(t==n)
            {
                Console.WriteLine("-1");
            }
        }
    }
}